﻿using SyncfusionMvcApplication7.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace SyncfusionMvcApplication7.Controllers
{
	public class ModelDate
	{
		public DateTime Date { get; set; }
		public List<ModelT> Data { get; set; }
	}

	public class HomeController : Controller
	{
		static string[] FirstNames = new string[] { "Alice", "Bob", "Carol", "Dianne", "Evan", "Frank", "George", "Harry", "Inez", "Jeremy", "Karen", "Linda", "Mary", "Norman", "Oscar", "Peter", "Quasimodo", "Ralph", "Susan", "Ted", "Ungo", "Virgil", "Xerxes", "Yabba", "Zoltan" };
		static string[] LastNames = new string[] { "Cooper", "Cartwright", "Smith", "Baker", "Chandler" };

		static Random r = new Random();

		private static string RandFrom(string[] list)
		{
			var index = r.Next(list.Length);
			return list[index];
		}

		public static List<ModelT> source = new List<ModelT>();

		static HomeController()
		{
			for (int i = 0; i < 50; i++)
			{
				var m = new ModelT()
				{
					ModelTID = i,
					Name = RandFrom(FirstNames) + " " + RandFrom(LastNames),
					Age = r.Next(100),
					Date = DateTime.Now.AddDays(r.Next(3)).ToShortDateString()
				};
				source.Add(m);
			}
		}

		public ActionResult Index()
		{
			var m = new ModelDate();
			m.Date = DateTime.Now;
			m.Data = source;
			return View(m);
		}

		[HttpPost]
		public ActionResult Page(DateTime d)
		{
			var m = new ModelDate();
			m.Date = d;
			m.Data = source;
			return PartialView("_homeContent", m);
		}

		public ActionResult About()
		{
			ViewBag.Message = "Your application description page.";

			return View();
		}

		public ActionResult Contact()
		{
			ViewBag.Message = "Your contact page.";

			return View();
		}
	}
}